This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | PVector
Name | ### set()
Examples |
    PVector v;

    void setup() {
      size(100, 100);
      v = new PVector(0.0, 0.0, 0.0);
      v.set(20.0, 30.0, 40.0);
      println(v.x);  // Prints "20.0"
      println(v.y);  // Prints "30.0"
      println(v.z);  // Prints "40.0"
    }
    PVector v1, v2;

    void setup() {
      size(100, 100);
      v1 = new PVector(20.0, 30.0, 40.0);
      v2 = new PVector(0.0, 0.0, 0.0);
      v2.set(v1);
      println(v2.x);  // Prints "20.0"
      println(v2.y);  // Prints "30.0"
      println(v2.z);  // Prints "40.0"
    }
    PVector v;
    float[] vvv = { 20.0, 30.0, 40.0 };

    void setup() {
      size(100, 100);
      v = new PVector(0.0, 0.0, 0.0);
      v.set(vvv);
      println(v.x);  // Prints "20.0"
      println(v.y);  // Prints "30.0"
      println(v.z);  // Prints "40.0"
    }
Description | Sets the x, y, and z component of the vector using three separate variables, the data from a PVector, or the values from a float array.
Syntax |
    .set(x, y, z)
    .set(x, y)
    .set(v)
    .set(source)
Parameters |
x | float: the x component of the vector
y | float: the y component of the vector
z | float: the z component of the vector
x | float: the x component of the vector
y | float: the y component of the vector
v | PVector: any variable of type PVector
source | float[]: array to copy from
Returns | void

Updated on October 26, 2013 08:58:33pm PDT